#include <stdio.h>
#include "main.h"


void _zpu_interrupt(void) {
	interrupt = *interrupt_stat;
	if ((interrupt & 0x01) != 0) {
		uart_recv();
	}
}


void uart_recv() {
	data = *uart_rx;
	while ((*uart_tx & 0x100) == 0) {}
	*uart_tx = data;
}


void uart_send(char character) {
	while ((*uart_tx & 0x100) == 0);
	*uart_tx = character;
}


void uart_send_string(char* string) {
	int i = 0;
	while (string[i]) uart_send(string[i++]);
}


void init(void) {
	// Interrupts aktivieren
	*interrupt_ctrl = 0x01;
	*interrupt_enable = 0x01;
}


int main() {

	init();

	uart_send_string("Hello World!\n");	

	while(1);
	return 0;
}

