library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package mpsoc_config is
	constant cores				: integer := 1;								-- nicht die Anzahl der Cores, sondern gibt den benoetigten Adressraum fuer x Cores an
	constant frequency			: std_logic_vector(7 downto 0) := x"32";	-- Clock frequency in MHz (x21 -> 33MHz / x32 -> 50MHz / x64 -> 100MHz)
	constant brate1				: positive := 115200;						-- RS232-Baudrate
	constant brdivisor1			: positive := to_integer(unsigned(frequency)) * 1e6 / brate1 / 4;
	constant numberOfCores		: positive := 1;

	-- during simulation, set this to '0' to get matching trace.txt
	constant DontCareValue		: std_logic := 'X';
end mpsoc_config;
