library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

library work;
use work.mpsoc_config.all;
use work.mpsoc_pkg.all;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
library UNISIM;
use UNISIM.VComponents.all;



entity mpsoc_top is
	port(clk			: in  std_logic;
		 reset			: in  std_logic;
		 uart_rx_1_1	: in  std_logic;
		 uart_tx_1_1	: out std_logic);
end mpsoc_top;



architecture behave_mpsoc_top of mpsoc_top is
	
signal clk_bufg				: std_logic;
for soc_top_1 : soc_top use entity work.soc_top(behave_soc_top1);

begin
	-- Dedicated Input Clock Buffer
	BUFG_1: BUFG
		port map (
			I => clk,
			O => clk_bufg
		);


	soc_top_1: soc_top
		generic map(coreID => std_logic_vector(to_unsigned(1, cores)),
					waitTime => 1)
		port map(clk => clk_bufg,
				 reset => reset,
				 uart_rx1 => uart_rx_1_1,
				 uart_tx1 => uart_tx_1_1);

end behave_mpsoc_top;
